import interfaces = require("./interfaces");
import deferredTS = require("typescript-deferred");
export declare class USMARTClient {
    protected client: any;
    private authInfo;
    private socket;
    private messageCount;
    private messagePromise;
    constructor(serviceName: string, auth?: interfaces.IAuthInfo, debug?: boolean);
    protected actionWithParams(action: string, params: any): deferredTS.PromiseInterface<{}>;
    protected getURL(serviceName: string, debug: boolean): string;
}
