import interfaces = require("./interfaces");
import USMARTClient = require("./usmartClient");
import deferredTS = require("typescript-deferred");
export declare class USMARTLiveDataClient extends USMARTClient.USMARTClient {
    constructor(auth?: interfaces.IAuthInfo, debug?: boolean);
    subscribe(dataset: string, organisation: string): deferredTS.PromiseInterface<{}>;
    protected getURL(serviceName: string, debug: boolean): "https://livedata.usmart.io" | "http://localhost:9005";
}
